# Module type Interval_map_intf.S_with_boundary

    module type S_with_boundary = sig .. end

An incarnation of an interval map where the key type has been wrapped with `Left_boundary.t`.

The majority of the operations are further defined/explained in the main module type `Interval_map_intf.M`.

    type key

    module Left_boundary: sig .. end

    include Interval_map_intf.S

    val find' : 'a t -> key -> 'a

Finding the value for an unwrapped key in an interval map based on wrapped keys means searching for the value at the point `Inclusive k`, because the point `Exclusive k` should not apply for keys equal to `k`. This can be very confusing, so `find' k` does this automatically.